package com.tofly.gpsboot.service.mq;


import com.tofly.pojo.plan.dto.ReportAuditDto;

/**
 * @author Zev
 */
public interface IReportMessageService {
    /**
     * 年计划上报
     * @param dto
     * @param auditId
     */
    void reportTypeYearPlan(ReportAuditDto dto,Long auditId);

    /**
     * 月计划上报
     * @param dto
     * @param auditId
     */
    void reportTypeMonthlyPlan(ReportAuditDto dto,Long auditId);

    /**
     * 隐患上报
     *
     * @param data
     */
    void reportTypeHiddenPlan(String data);

    /**
     * 隐患消除上报
     *
     * @param data
     */
    void reportTypeHiddenTroubleElimination(String data);

    /**
     * 工地上报
     *
     * @param data
     */
    void reportTypeConstructionSite(String data);

    /**
     * 工地监护消除上报
     *
     * @param data
     */
    void reportTypeConstructionSiteElimination(String data);

    /**
     * 巡检计划任务暂停发送
     *
     * @param data
     */
    void reportPlanStop(String data);

    /**
     * 巡检计划任务作废发送
     *
     * @param data
     */
    void reportPlanDisuse(String data);

    /**
     * 抢修年计划发送
     * @param dto
     * @param messageUserId
     */
    void reportRepairYearPlan(ReportAuditDto dto, Long messageUserId);

    /**
     * 抢修月计划发送
     * @param dto
     * @param messageUserId
     */
    void reportRepairMonthPlan(ReportAuditDto dto, Long messageUserId);

    /**
     * 抢维修工单处理上报
     * @param dto
     * @param messageUserId
     */
    void reportRepairRecord(ReportAuditDto dto, Long messageUserId);

    /**
     * 巡检维护任务处理上报
     * @param dto
     */
    void reportPlanMt(ReportAuditDto dto);

    /**
     * 应急事件处理上报
     * @param dto
     */
    void reportEmergencyDis(ReportAuditDto dto);

}
